# This spec is backported to ALTLinux 4.1 automatically by rpmbh script. Do not edit it.
Name: notification-daemon
Version: 0.4.0
Release: alt0.M41.1

Summary: Desktop Notification Daemon
Group: Graphical desktop/GNOME
License: %gpl2plus
URL: http://trac.galago-project.org/wiki/DesktopNotifications

Source: http://www.galago-project.org/files/releases/source/%name/%name-%version.tar.bz2

Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Requires: dbus >= 0.36

# From configure.ac
BuildPrereq: intltool
BuildPrereq: glib2-devel >= 2.10.0
BuildPrereq: libgtk+2-devel >= 2.10.0
BuildPrereq: libdbus-glib-devel >= 0.36
BuildPrereq: libsexy-devel >= 0.1.3
BuildPrereq: GConf2 libGConf2-devel
BuildPrereq: libglade-devel libwnck-devel libnotify-devel
BuildPrereq: gstreamer-devel

BuildRequires: rpm-build-licenses rpm-build-gnome

BuildRequires: rpm-build-compat >= 0.95

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications specification
(http://www.galago-project.org/specs/notification/index.php).

%prep
%setup -q

%build
#NOCONFIGURE=1 ./autogen.sh
%autoreconf
%configure \
    --enable-sound=gstreamer \
    --disable-schemas-install \
    --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/notification-properties
%_libexecdir/%name
%dir %_libdir/%name-1.0
%dir %_libdir/%name-1.0/engines
%_libdir/%name-1.0/engines/*.so
%dir %_datadir/%name
%_datadir/%name/*.glade
%_desktopdir/*.desktop
%_datadir/dbus-1/services/*
%_iconsdir/hicolor/*/apps/notification-properties.*
%gconf_schemasdir/%name.schemas
%doc AUTHORS ChangeLog COPYING NEWS

%exclude %_libdir/%name-1.0/engines/*.la

%changelog
* Sun Dec 28 2008 Alexey Rusakov <ktirf@altlinux.org> 0.4.0-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Sun Dec 28 2008 Alexey Rusakov <ktirf@altlinux.org> 0.4.0-alt1
- new version (0.4.0)
- specify the license in the specfile more exactly (GPL -> %gpl2plus)
- updated buildreqs and files list
- specfile cleanup
- added Packager tag

* Tue Oct 30 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3.7-alt1.1
- rebuilt with libwnck2.20

* Mon Apr 02 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3.7-alt1
- new version (0.3.7)
- fixed Source tag in the specfile
- updated dependencies
- added find_lang invocation, as new versions have localized strings
  (too bad, no Russian yet...)
- made files list more robust

* Wed Sep 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.5-alt2
- Run autogen.sh
- Buildreq

* Sat May 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.5-alt1.1
- Major spec cleanup
- Use Sisyphus macros for GConf schemas installation
- Updated URLs

* Thu May 04 2006 Vital Khilko <vk@altlinux.ru> 0.3.5-alt1
- 0.3.5

* Thu Feb 02 2006 Vital Khilko <vk@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Sun Sep 18 2005 Vital Khilko <vk@altlinux.ru> 0.2.1-alt1
- initial build

